Security Enhanced Linux Reference Policy

# Layer: system

## Module: locallogin

Interfaces

### Description:

Policy for local logins.

### Interfaces:

locallogin_domtrans( domain )

##### Summary

Execute local logins in the local login domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

locallogin_domtrans_sulogin( domain )

##### Summary

Execute single-user logins in the single-user login domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

locallogin_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to inherit local login file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

locallogin_link_keys( domain )

##### Summary

Allow link to the local_login key ring.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

locallogin_read_state( domain )

##### Summary

Allow calling domain to read locallogin state.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed permission.

locallogin_search_keys( domain )

##### Summary

Search for key.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

locallogin_signull( domain )

##### Summary

Send a null signal to local login processes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

locallogin_use_fds( domain )

##### Summary

Allow processes to inherit local login file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return